## Verizon%20Router%20(CR1000A)%20source%20code%20release%204.0.22.40.zip

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(fs-tools C)
ADD_DEFINITIONS(-Os -ggdb -Wall -Werror --std=gnu99 -Wmissing-declarations -Wno-format-truncation)

SET(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "")

ADD_LIBRARY(fstools SHARED
		libfstools/common.c
		libfstools/snapshot.c
		libfstools/extroot.c
		libfstools/overlay.c
		libfstools/volume.c
		libfstools/mtd.c
		libfstools/mount.c
		libfstools/ubi.c
		libfstools/rootdisk.c
		libfstools/partname.c
		libfstools/find.c)
TARGET_LINK_LIBRARIES(fstools ubox)
INSTALL(TARGETS fstools LIBRARY DESTINATION lib)

ADD_LIBRARY(blkid-tiny SHARED
		libblkid-tiny/encode.c
		libblkid-tiny/libblkid-tiny.c
		libblkid-tiny/mkdev.c
		libblkid-tiny/probe.c
		libblkid-tiny/exfat.c
		libblkid-tiny/ext.c
		libblkid-tiny/jffs2.c
		libblkid-tiny/vfat.c
		libblkid-tiny/ntfs.c
		libblkid-tiny/hfs.c
		libblkid-tiny/swap.c
		libblkid-tiny/ubi.c
		libblkid-tiny/ubifs.c
		libblkid-tiny/squashfs.c
		libblkid-tiny/btrfs.c
		libblkid-tiny/f2fs.c
		)
INSTALL(TARGETS blkid-tiny LIBRARY DESTINATION lib)
INSTALL(FILES libblkid-tiny/libblkid-tiny.h DESTINATION include)

ADD_LIBRARY(ubi-utils STATIC
		libubi/libubi.c
		libubi/libubi-tiny.c
		libubi/ubiutils-common.c)
INSTALL(TARGETS ubi-utils ARCHIVE DESTINATION lib)

FIND_PATH(ubox_include_dir libubox/ulog.h)
INCLUDE_DIRECTORIES(${ubox_include_dir})

SET_TARGET_PROPERTIES(ubi-utils PROPERTIES COMPILE_FLAGS
		"-ffunction-sections -fdata-sections")

INSTALL(FILES libubi/libubi-tiny.h libubi/libubi.h libubi/ubi-media.h
		libubi/ubi-user.h libubi/ubi-media.h
	DESTINATION include
)

IF(DEFINED CMAKE_OVL_MOUNT_COMPRESS_ZLIB)
	ADD_DEFINITIONS(-DOVL_MOUNT_COMPRESS_ZLIB)
ENDIF(DEFINED CMAKE_OVL_MOUNT_COMPRESS_ZLIB)

IF(DEFINED CMAKE_OVL_MOUNT_FULL_ACCESS_TIME)
	ADD_DEFINITIONS(-DOVL_MOUNT_FULL_ACCESS_TIME)
ENDIF(DEFINED CMAKE_OVL_MOUNT_FULL_ACCESS_TIME)

ADD_EXECUTABLE(mount_root mount_root.c)
TARGET_LINK_LIBRARIES(mount_root fstools)
INSTALL(TARGETS mount_root RUNTIME DESTINATION sbin)

find_library(json NAMES json-c json)

ADD_EXECUTABLE(blockd blockd.c)
TARGET_LINK_LIBRARIES(blockd fstools ubus blobmsg_json ${json})
INSTALL(TARGETS blockd RUNTIME DESTINATION sbin)

ADD_EXECUTABLE(block block.c probe.c probe-libblkid.c)
IF(DEFINED CMAKE_UBIFS_EXTROOT)
	ADD_DEFINITIONS(-DUBIFS_EXTROOT)
	TARGET_LINK_LIBRARIES(block blkid-tiny dl uci ubox ubus blobmsg_json ubi-utils ${json})
ELSE(DEFINED CMAKE_UBIFS_EXTROOT)
	TARGET_LINK_LIBRARIES(block blkid-tiny dl uci ubox ubus blobmsg_json ${json})
ENDIF(DEFINED CMAKE_UBIFS_EXTROOT)
INSTALL(TARGETS block RUNTIME DESTINATION sbin)

ADD_EXECUTABLE(jffs2reset jffs2reset.c)
TARGET_LINK_LIBRARIES(jffs2reset fstools)
INSTALL(TARGETS jffs2reset RUNTIME DESTINATION sbin)

ADD_EXECUTABLE(snapshot_tool snapshot.c)
TARGET_LINK_LIBRARIES(snapshot_tool fstools)
INSTALL(TARGETS snapshot_tool RUNTIME DESTINATION sbin)

ADD_EXECUTABLE(ubi ubi.c)
TARGET_LINK_LIBRARIES(ubi ubi-utils ubox)
INSTALL(TARGETS ubi RUNTIME DESTINATION sbin)

=== Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.








am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libkcapi
pkgincludedir = $(includedir)/libkcapi
pkglibdir = $(libdir)/libkcapi
pkglibexecdir = $(libexecdir)/libkcapi
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = aarch64-openwrt-linux-musl
am__append_1 = -Werror
#am__append_2 = 
am__append_3 = lib/kcapi-sym.c
#am__append_4 = 
am__append_5 = lib/kcapi-md.c
#am__append_6 = 
am__append_7 = lib/kcapi-kdf.c
#am__append_8 = 
am__append_9 = lib/kcapi-aead.c
#am__append_10 = 
am__append_11 = lib/kcapi-rng.c
#am__append_12 = lib/kcapi-asym.c
am__append_13 = 
#am__append_14 = lib/kcapi-kpp.c
am__append_15 = 
bin_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3) \
	$(am__EXEEXT_4) $(am__EXEEXT_5) $(am__EXEEXT_6)
#am__append_16 = bin/kcapi \
#	bin/kcapi-enc-test-large \
#	bin/kcapi-convenience
#am__append_17 = $(bin_kcapi_SOURCES) \
#	$(bin_kcapi_enc_test_large_SOURCES) \
#	$(bin_kcapi_convenience_SOURCES)
#pkglibexec_PROGRAMS = bin/kcapi$(EXEEXT) \
#	bin/kcapi-enc-test-large$(EXEEXT) \
#	bin/kcapi-convenience$(EXEEXT)
#am__append_18 = bin/kcapi-speed
#am__append_19 = $(bin_kcapi_speed_SOURCES)
#am__append_20 = bin/kcapi-hasher
#am__append_21 = $(bin_kcapi_hasher_SOURCES)
#am__append_22 = apps/kcapi-hasher.1
#am__append_23 = bin/kcapi-rng
#am__append_24 = $(bin_kcapi_rng_SOURCES)
#am__append_25 = apps/kcapi-rng.1
am__append_26 = bin/kcapi-enc
am__append_27 = $(bin_kcapi_enc_SOURCES)
am__append_28 = apps/kcapi-enc.1
#am__append_29 = bin/kcapi-dgst
#am__append_30 = $(bin_kcapi_dgst_SOURCES)
#am__append_31 = apps/kcapi-dgst.1
#am__append_32 = pdf
#am__append_33 = ps
#am__append_34 = html man
#am__append_35 = $(devel_manpages)
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_check_api_version.m4 \
	$(top_srcdir)/m4/ac_check_attribute_symver.m4 \
	$(top_srcdir)/m4/ax_add_fortify_source.m4 \
	$(top_srcdir)/m4/ax_check_pie.m4 \
	$(top_srcdir)/m4/ax_prog_cc_for_build.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(include_HEADERS) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = libkcapi.pc
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(pkglibexecdir)" "$(DESTDIR)$(pkglibexecdir)" \
	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libkcapi_la_LIBADD =
am__libkcapi_la_SOURCES_DIST = lib/cryptouser.h lib/internal.h \
	lib/kcapi.h lib/kcapi-kernel-if.c lib/kcapi-utils.c \
	lib/kcapi-sym.c lib/kcapi-md.c lib/kcapi-kdf.c \
	lib/kcapi-aead.c lib/kcapi-rng.c lib/kcapi-asym.c \
	lib/kcapi-kpp.c
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 =
am__objects_2 = lib/libkcapi_la-kcapi-sym.lo
am__objects_3 = lib/libkcapi_la-kcapi-md.lo
am__objects_4 = lib/libkcapi_la-kcapi-kdf.lo
am__objects_5 = lib/libkcapi_la-kcapi-aead.lo
am__objects_6 = lib/libkcapi_la-kcapi-rng.lo
#am__objects_7 = lib/libkcapi_la-kcapi-asym.lo
#am__objects_8 = lib/libkcapi_la-kcapi-kpp.lo
am_libkcapi_la_OBJECTS = lib/libkcapi_la-kcapi-kernel-if.lo \
	lib/libkcapi_la-kcapi-utils.lo $(am__objects_1) \
	$(am__objects_2) $(am__objects_1) $(am__objects_3) \
	$(am__objects_1) $(am__objects_4) $(am__objects_1) \
	$(am__objects_5) $(am__objects_1) $(am__objects_6) \
	$(am__objects_7) $(am__objects_1) $(am__objects_8) \
	$(am__objects_1)
libkcapi_la_OBJECTS = $(am_libkcapi_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libkcapi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libkcapi_la_LDFLAGS) $(LDFLAGS) -o $@
#am__EXEEXT_1 = bin/kcapi$(EXEEXT) \
#	bin/kcapi-enc-test-large$(EXEEXT) \
#	bin/kcapi-convenience$(EXEEXT)
#am__EXEEXT_2 = bin/kcapi-speed$(EXEEXT)
#am__EXEEXT_3 = bin/kcapi-hasher$(EXEEXT)
#am__EXEEXT_4 = bin/kcapi-rng$(EXEEXT)
am__EXEEXT_5 = bin/kcapi-enc$(EXEEXT)
#am__EXEEXT_6 = bin/kcapi-dgst$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(pkglibexec_PROGRAMS)
am__bin_kcapi_SOURCES_DIST = test/kcapi-main.c
#am_bin_kcapi_OBJECTS =  \
#	test/bin_kcapi-kcapi-main.$(OBJEXT)
bin_kcapi_OBJECTS = $(am_bin_kcapi_OBJECTS)
#bin_kcapi_DEPENDENCIES = libkcapi.la
bin_kcapi_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(bin_kcapi_LDFLAGS) $(LDFLAGS) -o $@
am__bin_kcapi_convenience_SOURCES_DIST = test/kcapi-convenience.c
#am_bin_kcapi_convenience_OBJECTS = test/bin_kcapi_convenience-kcapi-convenience.$(OBJEXT)
bin_kcapi_convenience_OBJECTS = $(am_bin_kcapi_convenience_OBJECTS)
#bin_kcapi_convenience_DEPENDENCIES =  \
#	libkcapi.la
bin_kcapi_convenience_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(bin_kcapi_convenience_LDFLAGS) \
	$(LDFLAGS) -o $@
am__bin_kcapi_dgst_SOURCES_DIST = apps/kcapi-dgst.c \
	apps/app-internal.c
#am_bin_kcapi_dgst_OBJECTS = apps/bin_kcapi_dgst-kcapi-dgst.$(OBJEXT) \
#	apps/bin_kcapi_dgst-app-internal.$(OBJEXT)
bin_kcapi_dgst_OBJECTS = $(am_bin_kcapi_dgst_OBJECTS)
#bin_kcapi_dgst_DEPENDENCIES = libkcapi.la
bin_kcapi_dgst_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(bin_kcapi_dgst_LDFLAGS) $(LDFLAGS) -o \
	$@
am__bin_kcapi_enc_SOURCES_DIST = apps/kcapi-enc.c apps/app-internal.c
am_bin_kcapi_enc_OBJECTS = apps/bin_kcapi_enc-kcapi-enc.$(OBJEXT) \
	apps/bin_kcapi_enc-app-internal.$(OBJEXT)
bin_kcapi_enc_OBJECTS = $(am_bin_kcapi_enc_OBJECTS)
bin_kcapi_enc_DEPENDENCIES = libkcapi.la
bin_kcapi_enc_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(bin_kcapi_enc_LDFLAGS) $(LDFLAGS) -o $@
am__bin_kcapi_enc_test_large_SOURCES_DIST =  \
	test/kcapi-enc-test-large.c
#am_bin_kcapi_enc_test_large_OBJECTS = test/bin_kcapi_enc_test_large-kcapi-enc-test-large.$(OBJEXT)
bin_kcapi_enc_test_large_OBJECTS =  \
	$(am_bin_kcapi_enc_test_large_OBJECTS)
#bin_kcapi_enc_test_large_DEPENDENCIES =  \
#	libkcapi.la
bin_kcapi_enc_test_large_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(bin_kcapi_enc_test_large_LDFLAGS) \
	$(LDFLAGS) -o $@
am__bin_kcapi_hasher_SOURCES_DIST = apps/kcapi-hasher.c \
	apps/app-internal.c
#am_bin_kcapi_hasher_OBJECTS = apps/bin_kcapi_hasher-kcapi-hasher.$(OBJEXT) \
#	apps/bin_kcapi_hasher-app-internal.$(OBJEXT)
bin_kcapi_hasher_OBJECTS = $(am_bin_kcapi_hasher_OBJECTS)
#bin_kcapi_hasher_DEPENDENCIES = libkcapi.la
bin_kcapi_hasher_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(bin_kcapi_hasher_LDFLAGS) $(LDFLAGS) \
	-o $@
am__bin_kcapi_rng_SOURCES_DIST = apps/kcapi-rng.c apps/app-internal.c
#am_bin_kcapi_rng_OBJECTS = apps/bin_kcapi_rng-kcapi-rng.$(OBJEXT) \
#	apps/bin_kcapi_rng-app-internal.$(OBJEXT)
bin_kcapi_rng_OBJECTS = $(am_bin_kcapi_rng_OBJECTS)
#bin_kcapi_rng_DEPENDENCIES = libkcapi.la
bin_kcapi_rng_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(bin_kcapi_rng_LDFLAGS) $(LDFLAGS) -o $@
am__bin_kcapi_speed_SOURCES_DIST = speed-test/cryptoperf.h \
	speed-test/cryptoperf-aead.c speed-test/cryptoperf-base.c \
	speed-test/cryptoperf-hash.c speed-test/cryptoperf-main.c \
	speed-test/cryptoperf-rng.c speed-test/cryptoperf-skcipher.c
#am_bin_kcapi_speed_OBJECTS = speed-test/bin_kcapi_speed-cryptoperf-aead.$(OBJEXT) \
#	speed-test/bin_kcapi_speed-cryptoperf-base.$(OBJEXT) \
#	speed-test/bin_kcapi_speed-cryptoperf-hash.$(OBJEXT) \
#	speed-test/bin_kcapi_speed-cryptoperf-main.$(OBJEXT) \

=== doc/Makefile ===
doc:
	install -d $(DOCDIR)
	doxygen libusermngt.doxy

clean: 

.PHONY: doc clean

=== libbb/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(libbb C)

ADD_LIBRARY(bb STATIC
	all_read.c concat_path_file.c copy_file.c copy_file_chunk.c gzip.c
	gz_open.c last_char_is.c make_directory.c mode_string.c parse_mode.c
	safe_strncpy.c time_string.c unarchive.c unzip.c wfopen.c xfuncs.c
	xreadlink.c
)

=== libopkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(libopkg C)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_SOURCE_DIR}/..)
LINK_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../libbb)

ADD_LIBRARY(opkg STATIC
	active_list.c conffile.c conffile_list.c file_util.c hash_table.c
	nv_pair.c nv_pair_list.c opkg.c opkg_cmd.c opkg_conf.c opkg_configure.c
	opkg_download.c opkg_install.c opkg_message.c opkg_remove.c
	opkg_upgrade.c opkg_utils.c parse_util.c pkg.c pkg_alternatives.c pkg_depends.c pkg_dest.c
	pkg_dest_list.c pkg_extract.c pkg_hash.c pkg_parse.c pkg_src.c
	pkg_src_list.c pkg_vec.c sha256.c sprintf_alloc.c str_list.c
	void_list.c xregex.c xsystem.c
)

=== src/Makefile ===
CFLAGS += -fPIC -I../include -I$(STAGINGDIR)/include  -g -Werror -Wall -Wextra \
	$(shell pkg-config --cflags sahtrace openssl)

CFLAGS_AUTH += $(CFLAGS)

OBJECTS=usermngt.o
OBJECTS_AUTH=auth.o

all: libusermngt.a libusermngt-auth.a

libusermngt.a: $(OBJECTS)
	$(AR) rcs $(@) $(OBJECTS)

libusermngt-auth.a: $(OBJECTS_AUTH)
	$(AR) rcs $(@) $(OBJECTS_AUTH)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $(@) $(<)
	@$(CC) $(CFLAGS) -MM -MP -MT '$(@) $(@:.o=.d)' -MF $(@:.o=.d) $(<) >/dev/null


clean: 
	rm -f *.so *.o *.d libusermngt.a libusermngt-auth.a

check-syntax:
	$(CC) $(CFLAGS) -fsyntax-only $(CHK_SOURCES)

.PHONY: all clean

=== suricatta/Makefile ===
# Copyright (C) 2014-2018 Stefano Babic <sbabic@denx.de>
#
# SPDX-License-Identifier:     GPL-2.0-only
obj-$(CONFIG_SURICATTA) += suricatta.o common.o
ifneq ($(CONFIG_SURICATTA_HAWKBIT),)
obj-$(CONFIG_SURICATTA) += server_hawkbit.o
endif
ifneq ($(CONFIG_SURICATTA_LUA),)
obj-$(CONFIG_SURICATTA) += server_lua.o
endif
ifneq ($(CONFIG_SURICATTA_GENERAL),)
obj-$(CONFIG_SURICATTA_GENERAL) += server_general.o
endif

=== lib/compat/CMakeLists.txt ===
set(COMPAT_HEADERS
    compat/compat.h
    compat/getutent.h
    compat/glib.h
    compat/lfs.h
    compat/pio.h
    compat/socket.h
    compat/string.h
    compat/time.h
    compat/openssl_support.h
    compat/pcre.h
    compat/getent.h
    compat/getent-sun.h
    compat/getent-openbsd.h
    compat/getent-generic.h
    compat/un.h
    compat/cpp-start.h
    compat/cpp-end.h
    compat/curl.h
    PARENT_SCOPE)

set(COMPAT_SOURCES
    compat/getutent.c
    compat/glib.c
    compat/inet_aton.c
    compat/memrchr.c
    compat/pio.c
    compat/strcasestr.c
    compat/strtok_r.c
    compat/strnlen.c
    compat/getline.c
    compat/time.c
    compat/openssl_support.c
    compat/getent-sun.c
    compat/getent-openbsd.c
    compat/getent-generic.c
    PARENT_SCOPE)

add_test_subdirectory(tests)

=== tools/env/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# (C) Copyright 2002-2006
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.

# fw_printenv is supposed to run on the target system, which means it should be
# built with cross tools. Although it may look weird, we only replace "HOSTCC"
# with "CC" here for the maximum code reuse of scripts/Makefile.host.
override HOSTCC = $(CC)

ifneq ($(TARGET_CFLAGS),)
KBUILD_HOSTCFLAGS = $(TARGET_CFLAGS)
endif
ifneq ($(TARGET_LDFLAGS),)
KBUILD_HOSTLDFLAGS = $(TARGET_LDFLAGS)
endif

# Compile for a hosted environment on the target
HOST_EXTRACFLAGS  = -I$(srctree)/tools \
		$(patsubst -I%,-idirafter%, $(filter -I%, $(UBOOTINCLUDE))) \
		-idirafter $(srctree)/tools/env \
		-DUSE_HOSTCC \
		-DTEXT_BASE=$(TEXT_BASE)

ifeq ($(MTD_VERSION),old)
HOST_EXTRACFLAGS += -DMTD_OLD
endif

always := fw_printenv
hostprogs-y := fw_printenv

lib-y += fw_env.o \
	crc32.o ctype.o linux_string.o \
	env_attr.o env_flags.o

fw_printenv-objs := fw_env_main.o $(lib-y)

quiet_cmd_crosstools_strip = STRIP   $^
      cmd_crosstools_strip = $(STRIP) $^; touch $@

$(obj)/.strip: $(obj)/fw_printenv
	$(call cmd,crosstools_strip)

always += .strip

=== ci/packaging/deb/Makefile ===
INSTALL ?= install
STRIP ?= strip

ifeq ($(PACKAGE_VERSION), 9.9.9)
	PACKAGE = $(PACKAGEDIR)/$(PACKAGE_NAME)
else
	PACKAGE = $(PACKAGEDIR)/$(PACKAGE_NAME)_$(PACKAGE_VERSION)
endif
GCC_ARCHITECTURE = $(shell $(CC) -dumpmachine)

all: package

$(PACKAGE)/DEBIAN/control: control
	#Development pacjage
	$(INSTALL) -d $(PACKAGE)
	$(INSTALL) -d $(PACKAGE)/DEBIAN
	echo "Package: $(PACKAGE_NAME)" > $(PACKAGE)/DEBIAN/control
ifeq ($(GCC_ARCHITECTURE),x86_64-linux-gnu)
	echo "Architecture: amd64" >> $(PACKAGE)/DEBIAN/control
else
	echo "Architecture: i386" >> $(PACKAGE)/DEBIAN/control
endif
	echo "Version: $(PACKAGE_VERSION)" >> $(PACKAGE)/DEBIAN/control
	cat control >> $(PACKAGE)/DEBIAN/control

$(PACKAGE)/DEBIAN/postinst: postinst
	$(INSTALL) -d $(PACKAGE)
	$(INSTALL) -d $(PACKAGE)/DEBIAN
	$(INSTALL) -m 0755 postinst $(PACKAGE)/DEBIAN/postinst

package: $(PACKAGE)/DEBIAN/control $(PACKAGE)/DEBIAN/postinst
	$(INSTALL) -d $(PACKAGE)
	# copy pkg config files to /usr/share/pkgconfig
	$(INSTALL) -d $(PACKAGE)/usr/share/pkgconfig
	cp $(STAGINGDIR)/build/pkg-config/* $(PACKAGE)/usr/share/pkgconfig/
	# copy include files
	$(INSTALL) -d $(PACKAGE)/usr/local/include/
	cp -r $(STAGINGDIR)/include/* $(PACKAGE)/usr/local/include/
	# remove components.h 
	rm $(PACKAGE)/usr/local/include/components.h
	# remove autoconf.h
	rm -f $(PACKAGE)/usr/local/include/autoconf.h
	# copy libs to /usr/local/lib
	$(INSTALL) -d $(PACKAGE)/usr/lib
	cp -r $(STAGINGDIR)/lib/* $(PACKAGE)/usr/lib/
	# build package
	dpkg-deb -D --build $(PACKAGE)

.PHONY: all

=== modules/grpc/bigquery/CMakeLists.txt ===
if(NOT ENABLE_GRPC)
  return()
endif()

set(BIGQUERY_CPP_SOURCES
  bigquery-dest.hpp
  bigquery-dest.cpp
  bigquery-dest.h
  bigquery-worker.hpp
  bigquery-worker.cpp
  bigquery-worker.h
)

set(BIGQUERY_SOURCES
  bigquery-plugin.c
  bigquery-parser.c
  bigquery-parser.h
)

add_module(
  TARGET bigquery-cpp
  SOURCES ${BIGQUERY_CPP_SOURCES}
  DEPENDS ${MODULE_GRPC_LIBS} grpc-protos
  INCLUDES ${BIGQUERY_PROTO_BUILDDIR} ${PROJECT_SOURCE_DIR}/modules/grpc
  LIBRARY_TYPE STATIC
)

add_module(
  TARGET bigquery
  GRAMMAR bigquery-grammar
  DEPENDS bigquery-cpp
  INCLUDES ${PROJECT_SOURCE_DIR}/modules/grpc
  SOURCES ${BIGQUERY_SOURCES}
)

=== modules/grpc/otel/CMakeLists.txt ===
if(NOT ENABLE_GRPC)
  return()
endif()

set(OTEL_CPP_SOURCES
  ${GRPC_CREDENTIALS_SOURCES}
  otel-source.cpp
  otel-source.hpp
  otel-source.h
  otel-source-services.hpp
  otel-servicecall.hpp
  otel-protobuf-parser.hpp
  otel-protobuf-parser.cpp
  otel-protobuf-parser.h
  otel-protobuf-formatter.hpp
  otel-protobuf-formatter.cpp
  otel-dest.hpp
  otel-dest.cpp
  otel-dest.h
  otel-dest-worker.hpp
  otel-dest-worker.cpp
  syslog-ng-otlp-dest.hpp
  syslog-ng-otlp-dest.cpp
  syslog-ng-otlp-dest.h
  syslog-ng-otlp-dest-worker.hpp
  syslog-ng-otlp-dest-worker.cpp)

set(OTEL_SOURCES
  otel-plugin.c
  otel-parser.c
  otel-parser.h
)

add_module(
  TARGET otel-cpp
  SOURCES ${OTEL_CPP_SOURCES}
  DEPENDS ${MODULE_GRPC_LIBS} grpc-protos
  INCLUDES ${OTEL_PROTO_BUILDDIR} ${PROJECT_SOURCE_DIR}/modules/grpc
  LIBRARY_TYPE STATIC
)

add_module(
  TARGET otel
  GRAMMAR otel-grammar
  DEPENDS otel-cpp
  INCLUDES ${PROJECT_SOURCE_DIR}/modules/grpc
  SOURCES ${OTEL_SOURCES}
)

add_test_subdirectory(tests)

=== debian/changelog ===
syslog-ng (4.6.0-1) unstable; urgency=medium

  * New upstream release 4.6.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Tue, 09 Jan 2024 12:16:14 +0000

syslog-ng (4.5.0-1) unstable; urgency=medium

  * New upstream release 4.5.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Wed, 22 Nov 2023 13:21:25 +0000

syslog-ng (4.4.0-1) unstable; urgency=medium

  * New upstream release 4.4.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Tue, 19 Sep 2023 18:03:48 +0000

syslog-ng (4.3.1-1) unstable; urgency=medium

  * New upstream release 4.3.1

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Fri, 28 Jul 2023 07:44:02 +0000

syslog-ng (4.3.0-1) unstable; urgency=medium

  * New upstream release 4.3.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Wed, 19 Jul 2023 08:13:12 +0000

syslog-ng (4.2.0-1) unstable; urgency=medium

  * New upstream release 4.2.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Mon, 08 May 2023 08:09:19 +0000

syslog-ng (4.1.1-1) unstable; urgency=medium

  * New upstream release 4.1.1

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Fri, 10 Mar 2023 11:41:28 +0000

syslog-ng (4.1.0-1) unstable; urgency=medium

  * New upstream release 4.1.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Tue, 28 Feb 2023 15:33:51 +0000

syslog-ng (4.0.1-1) unstable; urgency=medium

  * New upstream release 4.0.1

 -- github-actions <github-actions@github.com>  Wed, 21 Dec 2022 18:25:17 +0000

syslog-ng (4.0.0-1) unstable; urgency=medium

  * New upstream release 4.0.0

 -- github-actions <github-actions@github.com>  Fri, 04 Nov 2022 17:53:15 +0000

syslog-ng (3.38.1-1) unstable; urgency=medium

  * New upstream release 3.38.1

 -- github-actions <github-actions@github.com>  Mon, 15 Aug 2022 18:58:07 +0000

syslog-ng (3.37.1-1) unstable; urgency=medium

  * New upstream release 3.37.1

 -- github-actions <github-actions@github.com>  Mon, 30 May 2022 13:00:31 +0000

syslog-ng (3.36.1-1) unstable; urgency=medium

  * New upstream release 3.36.1

 -- github-actions <github-actions@github.com>  Mon, 28 Feb 2022 14:17:39 +0000

syslog-ng (3.35.1-1) unstable; urgency=medium

  * New upstream release 3.35.1

 -- github-actions <github-actions@github.com>  Wed, 10 Nov 2021 10:23:22 +0000

syslog-ng (3.34.1-1) unstable; urgency=medium

  * New upstream release 3.34.1

 -- github-actions <github-actions@github.com>  Tue, 07 Sep 2021 17:57:41 +0000

syslog-ng (3.33.2-1) unstable; urgency=medium

  * New upstream release 3.33.2

 -- github-actions <github-actions@github.com>  Mon, 19 Jul 2021 09:05:54 +0000

syslog-ng (3.33.1-1) unstable; urgency=medium

  * New upstream release 3.33.1

 -- github-actions <github-actions@github.com>  Mon, 05 Jul 2021 17:16:40 +0000

syslog-ng (3.32.1-1) unstable; urgency=medium

  * New upstream release 3.32.1

 -- github-actions <github-actions@github.com>  Fri, 07 May 2021 06:26:13 +0000

syslog-ng (3.31.2-1) unstable; urgency=medium

  * New upstream release 3.31.2

 -- github-actions <github-actions@github.com>  Wed, 17 Mar 2021 16:37:02 +0000

syslog-ng (3.31.1-1) unstable; urgency=medium

  * New upstream release 3.31.1

 -- github-actions <github-actions@github.com>  Tue, 02 Mar 2021 18:55:27 +0000

syslog-ng (3.30.1-1) unstable; urgency=medium

  * New upstream release 3.30.1

 -- github-actions <github-actions@github.com>  Thu, 12 Nov 2020 12:59:09 +0000

syslog-ng (3.29.1-1) unstable; urgency=medium

  * New upstream release 3.29.1

 -- Laszlo Varady <stentor@x260>  Fri, 28 Aug 2020 12:13:25 +0000

syslog-ng (3.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Varady <laszlo.varady@balabit.com>  Tue, 16 Jun 2020 13:07:54 +0200

syslog-ng (3.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antal Nemes <antal.nemes@quest.com>  Tue, 28 Apr 2020 08:30:27 +0200

syslog-ng (3.26.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove merged in patches.
  * Update configuration version.

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Add support for the snmp() destination (syslog-ng-mod-snmp package).
  * Move the http() destination into a separate package (syslog-ng-mod-http).
  * Move BSD process accounting (pacct) support into the core package.
  * Move tags-parser() to the core package.
  * Add support for librdkafka based kafka destination (in mod-rdkafka
    package).
  * Use upstream scl.conf .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Mar 2020 14:18:20 +0000

syslog-ng (3.25.1-3) unstable; urgency=medium

  * Remove outdated pep8 build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Mar 2020 19:39:43 +0000

syslog-ng (3.25.1-2) unstable; urgency=medium

  * Update upstream bison update (closes: #949847).

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Remove unneeded/empty Makefile.am file.
  * Remove obsoleted sections from README.source .
  * Update github URL in copyright.
  * Change github url in the watch file.
  * Add wants/after lines into syslog-ng.systemd unit file.
  * Remove libgeoip-dev as build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Mar 2020 11:38:57 +0000

syslog-ng (3.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge in syslog-ng-mod-journal (closes: #924264).
  * Remove syslog-ng-mod-geoip module.
  * Python3ify syslog-ng-mod-python (closes: #938618).
  * Add upstream persist-tool manpage.
  * Backport upstream bison update.
  * Install all SCL files.
  * Update configuration version.
  * Update self-tests.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Dec 2019 08:42:10 +0000

syslog-ng (3.19.1-6) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * Fix FTBFS with bison 3.4.1 (closes: #931302).



=== debian/control ===
Source: dnsmasq
Section: net
Priority: optional
Build-Depends: dh-exec, gettext, libnetfilter-conntrack-dev [linux-any],
               libidn2-dev, libdbus-1-dev (>=0.61), libgmp-dev,
               nettle-dev (>=2.4-3), libbsd-dev [kfreebsd-any],
	       liblua5.4-dev, dh-runit, debhelper-compat (= 13),
               pkg-config, libnftables-dev
Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Homepage: https://www.thekelleys.org.uk/dnsmasq/doc.html
Vcs-Git: https://thekelleys.org.uk/git/dnsmasq.git
Vcs-Browser: https://thekelleys.org.uk/gitweb/?p=dnsmasq.git
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: dnsmasq
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: netbase, dnsmasq-base,
         ${misc:Depends}
Suggests: resolvconf
Breaks: ${runit:Breaks}
Conflicts: resolvconf (<<1.15), ${runit:Conflicts}
Description: Small caching DNS proxy and DHCP/TFTP server - system daemon
 Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
 server. It is designed to provide DNS and optionally, DHCP, to a
 small network. It can serve the names of local machines which are
 not in the global DNS. The DHCP server integrates with the DNS
 server and allows machines with DHCP-allocated addresses
 to appear in the DNS with names configured either in each host or
 in a central configuration file. Dnsmasq supports static and dynamic
 DHCP leases and BOOTP/TFTP for network booting of diskless machines.

Package: dnsmasq-base
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dnsmasq (<< 2.63-1~)
Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
Recommends: dns-root-data
Provides: dnsmasq-base
Conflicts: dnsmasq-base-lua
Description: Small caching DNS proxy and DHCP/TFTP server - executable
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package.

Package: dnsmasq-base-lua
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dnsmasq (<< 2.63-1~)
Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
Recommends: dns-root-data
Provides: dnsmasq-base
Conflicts: dnsmasq-base
Description: Small caching DNS proxy and DHCP/TFTP server - executable, Lua-enabled
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package. This package is an alternative
 to dnsmasq-base which includes the Lua interpreter.

Package: dnsmasq-utils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: dnsmasq (<<2.40)
Description: Utilities for manipulating DHCP leases
 Small utilities to query a DHCP server's lease database and
 remove leases from it. These programs are distributed with dnsmasq
 and may not work correctly with other DHCP servers.
